# dog bone in Fusion360

## Sketch Parametric dogbone by you

![](../images/dogbone/dogbone_body.png)

Hole and pocket

- construction line
    - Direction: **inside** the hole
    - length: tool_dia/2
    - angle: 45 deg
- circle
    - Dia: tool_dia

![](../images/dogbone/dogbone_sketch_hole.png)  

Plug

- construction line
    - Direction: **outside** the design
    - length: tool_dia/2
    - angle: 45 deg
- circle
    - Dia: tool_dia
![](../images/dogbone/dogbone_sketch_plug.png)  


## Dogbone Addin

[Dogbone addin for fusion 360](https://github.com/DVE2000/Dogbone)

### Install

Download [site](https://github.com/DVE2000/Dogbone/releases)

#### Windows
- [winsetup_Dogbone_v2_0.exe](https://github.com/DVE2000/Dogbone/releases)

#### Mac
- If you installed Fusion360 directly from AutoDest - download self extracting file [here](https://github.com/DVE2000/Dogbone/releases/download/v2.0/macSetup_AD_dogbone_v2_0.pkg)

- If you installed Fusion360 from Apple App Store - download self extracting file [here](https://github.com/DVE2000/Dogbone/releases/download/v2.0/macSetup_appstore_dogbone_v2_0.pkg)

After insatll, re-boot Fusion360

![](../images/dogbone/dogbone_added.jpg)

### Usage

Design joint  t=12.0mm
![](../images/dogbone/dogbone_sketch.png)

Extrude to make body t=12.0mm  
Use Dogbone Addin  

- Tool Diameter = 6mm (depend on tool you use)
- Tool Diameter Offset may be needed

![](../images/dogbone/dogbone_setting.png)  


Measured Diameter of dogbone  
![](../images/dogbone/dogbone_measure.png)

Assemble  
![](../images/dogbone/dogbone_assenble.png)  
![](../images/dogbone/dogbone_joint.png)  
![](../images/dogbone/dogbone_hole.png)  
![](../images/dogbone/dogbone_interference.png)  

## Other Dogbone Addin

- [Nifty Dogbone for Autodesk® Fusion 360](https://apps.autodesk.com/FUSION/en/Detail/Index?id=3534533763590670806&appLang=en&os=Win64)
    - 60-day full functionality trial
    - can purchase a perpetual license for $20 USD
