# Wax milling with mods and Genmitsu PROVerXL4030

## Material and Machine

  - Machinable wax
    - size: 152mm x 92mm x 39mm (real size is smaller)
- Machines
    - Genmitsu PROVerXL
        - work area: 400mm × 300mm × 110mm
- Endmill
    - Rough cut
        - 0.1250” DIA 4FL SE LONG AlTiN 1/8
            - Tool_dia: 1/8” =3.175mm
            - OverAll Length: 2-1/4”(2.25”) =57.15mm
    - Finish cut
        - 0.0625” DIA 2FL SE AlTiN 1/16
            - Tool_dia: 1/16” =1.5875mm
            - OverAll Length: 1-1/2”(1.5”) =38.1mm

## 3D Design

![](../images/wax_milling/wax_design.png){width=400}

[sample](https://a360.co/3mwu8mo)


## mods

### Rough cut

![](../images/wax_milling/mods_open_roughcut.png)  
![](../images/wax_milling/mods_path_roughcut.png)  

Click calculate to make path and download .nc file

!!! Note
    In ``mill raster 2.5D`` node, Set ```offset number```: **0**  ( 0 =fill)  
    ![](../images/wax_milling/mods_mill_raster_2.5D.png){width=300}

!!! Important
    ``path to G-code`` node need to be replaced.  

    Before|After (replaced)
    :--:    |:--:
    ![](../images/wax_milling/mods_path_to_gcode_before.png){width=300}|![](../images/wax_milling/mods_path_to_gcode_after.png){width=300}
    ``rate units`` is missing |  

    ### How to replace nods  
    #### Add node  
    ![](../images/wax_milling/mods_adding_node.png){width=400}
    ![](../images/wax_milling/mods_add_node.png){width=400}
    #### Connect and disconnect lines  
    Simply click ``input path`` on path to G-code node and ``output toolpath`` on mill raster 2.5D node to connect and disconnect.  
    Also ``outputs file``on path to G-code node and ``inputs file`` on save file node
    ![](../images/wax_milling/mods_connect_lines.png){width=600}
    ![](../images/wax_milling/mods_disconnect_lines.png){width=600}
    #### Delete node  
    click ``delete`` on unused node

!!! Attention
    As mentioned in [this tip](./genmitsu_prover_xl_setup.md#edit-path-to-g-code-module),

    ``G04 P1000`` need to be commented out for this machine, otherwise machine will stop on this line.

    ``T1M06`` may be also need to be commented out. This happened when wchusbserial1440 did not appear in the device list to connect. Possibly CH340 driver may not be installed successfully.

    ![](../images/proverXL/node-path_to_G-code.png){width=300}

    edit -> comment out as below  
    ``//str += "T"+tool+"M06\n" // tool selection, tool change..................comment out``

    ``//str += "G04 P1000\n" // give spindle 1 second to spin up................comment out``  
    ``//str += "G04 P1\n" // give spindle 1 Millisecond to spin up..............comment out``


#### Check the g-code

[NC Viewer](https://ncviewer.com/)

- handy online tool for quick visualization

![](../images/wax_milling/nc_viewer_roughcut.png)


### Finish cut

![](../images/wax_milling/mods_open_finishcut.png)  
![](../images/wax_milling/mods_path_finishcut.png)  

!!! Note
    In ``mesh height map`` node, Set ``mesh unit: mm:``**1**  
    ![](../images/wax_milling/mods_mesh_height_map.png){width=300}  

    In ``mill raster 3D`` node, Uncheck ``yz``  
    ![](../images/wax_milling/mods_mill_raster_3D.png){width=300}

#### Check the g-code
![](../images/wax_milling/nc_viewer_finishcut.png)



!!! Attention
    These are default parameter of wax milling in Roland Modela Player 4.  
    ![](../images/wax_milling/modela_player4_para_rough.png){width=400}
    ![](../images/wax_milling/modela_player4_para_finish.png){width=400}  
    Refering to this, Set the wax milling parameter in appropriate mods' nodes  
    ![](../images/proverXL/node-path_to_G-code.png){width=250}
    ![](../images/wax_milling/mods_mill_raster_2.5D.png){width=300}
    ![](../images/wax_milling/mods_mill_raster_3D.png){width=300}

!!! Note
    From Assignment of finish cut in 2022

    Spec of PROVerXL4030 |   value          |Value in finishcut    |Result
    --            |---                     |---                      |--
    cut speed(max)|	2000 mm/min = 33.3 mm/s|20 mm/s                  |OK
    spindle speed | 12,000 RPM             |10,000 RPM               |OK
    plunge speed  | 2000 mm/min = 33.3 mm/s|2.5 mm/s(Rolad' Defaults)|slow


## Milling
- [gSender](https://github.com/Sienci-Labs/gsender)

Ref. Tip [Genmitsu PROVerXL 4030](./genmitsu_prover_xl_setup.md#g-gode-sender)

### Rough cut path
![](../images/wax_milling/gsender_roughcut.png)

### Finish cut path
![](../images/wax_milling/gsender_finishcut.png)

## Test Milling foam

!!! Note
    For foam milling, this is the reference setting from Modla player4  
    ![](../images/wax_milling/foam_roughcut.png){width=400}  
    ![](../images/wax_milling/foam_finishcut.png){width=400}

### Rough cut
![](../images/wax_milling/foam_roughcut_milled.jpg){width=400}

### Finish cut
![](../images/wax_milling/foam_finishcut_milled.jpg){width=400}


!!! Attention
    ###Endmill ###

    - **Rough cut**
        - 0.1250” DIA 4FL SE LONG AlTiN 1/8  
        - Tool_dia: 1/8” =3.175mm  

    - **Finish cut**
        - 0.0625” DIA 2FL SE AlTiN 1/16  
        - Tool_dia: 1/16” =1.5875mm  

    ### Design to prevent of hitting by tilt
      - 1/16

    ![](../images/wax_milling/1_16_flatendmil.png){width=250}
    ![](../images/wax_milling/1_16_flatendmil_tilt.png){width=400}
