# 7. Computer controlled machining

!!! Note
    Hamamatsu CNC is using the 1 flute straight bit (Tool_dia: 6mm, Shank_dia: 12mm) by default.  
    Learn about Up cut and Down cut endmill from the Tip [CNC tool](./tips/cnc_tool.md)


## Group Assignment

>  do your lab's safety training  
>  test runout, alignment, fixturing, speeds, feeds, materials, and toolpaths for your machine


### ToDo

- material
    - 910x1820mm x2 (Group x1, Individual x1)
    - [shop stock 2017](https://docs.google.com/document/d/1JuWOrUpjlp4soWDLRY14wLR42nnkVJtF4mHKIAQKY-E/edit)

-  Read Tips
    - [dog bone in Fusion360](./tips/dogbone.md)
    - [How to use Hamamatsu CNC](http://academany.fabcloud.io/fabacademy/2021/labs/kannai/site/instruction/tips/cut2d_mach3/)


####  safety training

- read [TAKE-SPACE Large CNC Training Docs](https://docs.google.com/document/d/1HAb7XKopjKgCrtNjoOn2nsN3iMQ-zhJ3SQZYq8z9ems/edit?usp=sharing)
- safety
    - Eye protection
    - shoes
    - clothes
    - hair
    - gloves

#### Test

> **The Feeds and Speeds**
>  
>    **The speed at which we move a cutter across the material is called the “feed rate”**.   
> **The rate of rotation is called the “speed”** and is controlled by how fast the router or spindle turns the cutting tool. Both feed rate and spindle speed will vary based on the material being cut. A general rule of thumb is that you want to move the tool through the material as fast as possible, without sacrificing surface finish. The longer the tool rotates in any one place, the more heat that builds up. Heat is your enemy and can burn your material or radically decrease the life or your cutting tool.  

> **Feed rate vs spindle speed**: Spindle speed that is too fast paired with a slow feed rate can result in burning or melting. Spindle speed that is too slow paired with a faster feed rate can result in dulling of the cutting edge, deflection of the end mill and possibility of breaking the end mill.

![](./images/week08/fastspeed.jpg){width=200}
![](./images/week08/slowspeed.jpg){width=200}
![](./images/week08/bestspeed.jpg){width=200}

Ref. [Berytech Fab Lab](https://fabacademy.org/2021/labs/berytech/Computer_Controlled_Machining.html)

- runout
- alignment
- fixturing
- (Spindle) speeds
    - [rpm]
    - 12000 [rpm]
- feed rate
    - [mm/min]
    - 700 [mm/min]
- materials
    - Plywood?
- toolpaths
    -  Cut2D

![](./images/week08/group_test.png)

- measure
    - sizes (X and Y Axis)
    - kerf -> runout (diff tood_dia)
    - depth of cut on tabs (Z Axes)
- test
    - joints

## Individual Assignment

> make (design+mill+assemble) something big (~meter-scale)  
      extra credit: don't use fasteners or glue  
      extra credit: include curved surfaces  

### ToDo

#### Design

Fusion360
 - thickness
 - runout - tool_dia = offset/2

 mill
 - bits
     - straight bit
     - flute

Assemble
- sanding
- (glue)
- paint?
