# 9. Molding and casting

## Instruction

group assignment:

- **review the safety data sheets for each of your molding and casting materials,**
- **then make and compare test casts with each of them**
- **extra credit: try other molding and casting processes**

individual assignment:

- design a mold around the stock and tooling that you'll be using,
    - mill it (rough cut + three-axis finish cut),
    - and use it to cast parts
- extra credit: use more then two mold parts

## What I did in this week

- Review the safety data sheets for molding and casting →in this page
- make and compare test casts with each of them→in this page
- Design data in Fusion 360 →[Individual Assignment](https://fabacademy.org/2022/labs/kannai/students/yukiya-yamane/assignments/week10/)
- Molding and Casting →[Individual Assignment](https://fabacademy.org/2022/labs/kannai/students/yukiya-yamane/assignments/week10/)

## Review the safety data sheets for molding and casting

- **Mold Star™ 31T for Molding**
    - specification is [here](https://www.smooth-on.com/products/mold-star-trade-31t/)
    - Safety data sheet is [here](https://www.smooth-on.com/msds/files/1843A_1_1843B_1_MOLD_STAR_31T.pdf)
    - **Mold Star™** **31T** is an easy to use Shore 30A translucent platinum silicone that is mixed 1A:1B by volume (no weighing scale necessary)
    - ***Safety*** - Use in a properly ventilated area (“room size” ventilation). Wear safety glasses, long sleeves and rubber gloves to minimize contamination risk. Wear vinyl gloves only. Latex gloves will inhibit the cure of the rubber.
    - specification at a glance

        ![silicone_data.png](../images/week09/silicone_data.png)


- **Smooth-Cast™ 320 for Casting**
    - specification is [here](https://www.smooth-on.com/products/smooth-cast-320/)
    - Safety data sheet is [here](https://www.smooth-on.com/msds/files/SC_300_300Q_320_380_45D_60D_61D_65D_66D_ONYX.pdf)
    - The **Smooth-Cast™ 320 Series** consists of ultra-low viscosity casting resins that yield virtually bubble-free **off-white** castings
    - *Safety ***-** Materials should be stored and used in a warm environment (73° F / 23° C). These products have a limited shelf life and should be used as soon as possible. All liquid urethanes are moisture sensitive and will absorb atmospheric moisture.
     Mixing tools and containers should be clean and made of metal, glass or plastic. Mixing should be done in a wellventilated area. Wear safety glasses, long sleeves and rubber gloves to minimize contamination risk.
    - specification is below

![smoothcast3201.png](../images/week09/smoothcast3201.png)

## Make and compare test casts with each of them

- Design and make a small mold for test
    - design is Inception coin by illustrator

    ![inception.png](../images/week09/inception.png)

- cut a acrylic by laser cutter

    ![test1.jpg](../images/week09/test1.jpg)


- compare with the materials for coating
    - [silicone spray](https://www.wd40.com/products/silicone-lubricant/)
    - nothing
- Add and mix A and B within 3 minutes, which is pot life, and stiring quickli without mixing air

    ![stiring.jpg](../images/week09/stiring.jpg)

- pouring to the coin molding

    ![pouring1.jpg](../images/week09/pouring1.jpg)


- Wait 10 minutes for cure time

    ![pouring2.jpg](../images/week09/pouring2.jpg)

- The one with silicone spray has bubbles. The one with nothing on it is clean.

    ![testdone.jpg](../images/week09/testdone.jpg)


### Result

- melting time is enough in 10minutes for Smooth-Cast™ 320 harden
- No need to spray silicone spray to the material
